Summary:     Password checking library
Summary(fr): Bibliothque de vrification de mots de passe
Summary(tr): Parola denetim kitapl
Summary(pl): Biblioteka sprawdzania hase
Name:        cracklib
Version:     2.7
Release:     4
Group:       Development/Libraries
Group(pl):   Programowanie/Biblioteki
Source:      ftp://coast.cs.purdue.edu/pub/tools/unix/cracklib/%{name}_%{version}.tgz
Patch:       cracklib-2.7-redhat.patch
URL:         ftp://coast.cs.purdue.edu/pub/tools/unix/cracklib/
Copyright:   artistic
Buildroot:   /tmp/%{name}-%{version}-root

%description
Checks passwords for security related characteristics - length, uniqueness, 
whether they are in a word database, etc.

%description -l de
berprft Pawrter auf Sicherheitsmerkmale - Lnge, Eindeutigkeit, 
Anwesenheit in einer Wrter-Datenbank usw.

%description -l fr
Vrifie les caractristiques lies  la scurit des  mots de passe - longueur,
unicit, s'ils sont dans une base de mots, etc.

%description -l tr
Parolalarn uzunluklar, sistemde tek olmalar, szck veri tabannda
bulunmamalar gibi gvenlikle ilgili zelliklerini kontrol eder.

%description -l pl
Sprawdza hasa pod ktem bezpieczestwa - dugo, unikalno, czy
wystpuj w sowniu itp.

%package devel
Summary:     Header files and documentation for cracklib
Summary(pl): Pliki nagwkowe i dokumentacja dla cracklib
Group:       Development/Libraries
Group(pl):   Programowanie/Biblioteki
Requires:    %{name} = %{version}

%description devel
Header files and documentation for cracklib.

%description -l pl
Pliki nagwkowe i dokumentacja dla cracklib.

%package dicts
Summary:     Standard dictionaries (/usr/dict/words)
Summary(de): Standard-Wrterbcher (/usr/dict/words)
Summary(fr): Dictionnaires standards (/usr/dict/words)
Summary(tr): Standart szlkler
Summary(pl): Standardowe sowniki (/usr/dict/words)
Group:       Utilities/System
Group(pl):   Narzdzia/System

%description dicts
Includes the cracklib dictionaries for the standard /usr/dict/words, as
well as utilities needed to create new dictionaries.

%description -l de dicts
Enthlt die Cracklib-Wrterbcher fr die Standard-/usr/dict/Wrter sowie
Utilities zum Erstellen neuer Wrterbcher"

%description -l fr dicts
Contient les dictionnaires cracklib pour le /usr/dict/words standard, ainsi
que les utilitaires ncessaires  la cration de nouveaux dictionnaires.

%description -l tr dicts
/usr/dict/words dosyas iin 'cracklib' kitaplklarn ve yeni szlkler
yaratlmas iin gerekli yardmc programlar ierir.

%description -l pl
Pakiet zawiera sowniki cracklib'a dla standardowego /usr/dict/words oraz
narzdzia do tworzenia nowych sownikw.

%prep
%setup -q -n %{name},%{version}
%patch -p1

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/{sbin,lib,include}
make install ROOT=$RPM_BUILD_ROOT

strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*.*

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644, root, root, 755)
%doc README MANIFEST LICENCE POSTER
%attr(755, root, root) /usr/lib/lib*so.*.*

%files devel
%defattr(644, root, root, 755)
%doc HISTORY
%attr(755, root, root) /usr/lib/lib*so
/usr/include/*

%files dicts
%defattr(644, root, root, 755)
%attr(755, root, root) /usr/sbin/*
/usr/lib/cracklib_dict*

%changelog
* Tue Jan 26 1999 Micha Kuratczyk <kurkens@polbox.com>
- added pl translations
- cosmetics changes

* Sat Aug 15 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.7-3]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source and %setup,
- added stripping shared libraries,
- added devel subpackage,
- added %attr and %defattr macros in %files (allows build package from
  non-root account).

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.7
- build shared libraries

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added -fPIC

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- basic spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
